/*
 Theme Name:   KCD
 Theme URI:    https://generatepress.com
 Description:  KC Planning and Development
 Author:       Blackbox Web Design
 Author URI:   https://www.blackboxdesign.co.uk
 Template:     generatepress
 Version:      0.1
*/

/* New KCD Red: #a61f1c */

/* All Devices */

/* Typography*/

:root {
	--kcdred: #a61f1c;
}

body {
	font-family: calibri, arial, sans-serif;
}

h1,h2,h3 {
/*font-family: forma-djr-deck, sans-serif;*/
	font-family: 'Merriweather', serif;
font-weight: 700;
font-style: normal;
	color:#a61f1c;
}

h1 {
	font-size:36px;
}

h1.bighead {
	font-size:3em;
}

h2.bighead {
	font-size:2.5em;
}

h1 span, h2 span, h3 span {
	font-weight: 200;
	color:#333;
}

p {
	margin-bottom:1em;
}

ul {
	margin-left:1em;
}

.kcd_page_intro {
	font-size:20px;
	
}

a.kcd_button {
	display:inline-block;
	padding:8px 40px;
	background-color:#a61f1c;
	color:#fff;
	font-size:90%;
	text-transform:uppercase;
}

.kcd_standout_shadow a {
	color:#fff;
	text-decoration:underline;
}

.kcd_standout_shadow h2 {
	color:#fff;
}

ul.kcd_services_list {
	margin-left:1em;
	/*column-count:2;*/
}

ul.kcd_mini_menu {
	list-style:none;
	margin-left:0;
}

ul.kcd_mini_menu li a {
	color:#fff;
	font-weight:700;
}

.mini_menu ul {
	text-align:center;
	list-style:none;
}

.mini_menu ul li {
	display:inline-block;
	margin-bottom:20px;
}

.mini_menu li a {
	display: inline-block;
    padding: 5px 20px;
    background-color: #888;
    color: #fff;
    transition: 0.4s all;
    border-radius: 5px;
	min-width:200px;
	text-align:center;
}

.mini_menu li a:hover {
	background-color:#a61f1c;
}

.mini_menu ul li:not(:last-of-type) {
	margin-right:30px;
}

p.kcd_contact_phone {
	margin-bottom:5px;
}

.main-navigation .main-nav ul li a {
	font-weight:700;
	font-size:14px;
	text-transform:uppercase;
}

.footer-widgets .widget {
	font-size:14px;
}

.wp-block-image figcaption {
	font-size: 14px;
    font-style: italic;
}

a.linkedin img {
	width:50px;
}

/* Headers */

.kcd_header_banner {
	min-height:60vh;
	background-size:cover;
	background-position:center;
}

.kcd_mob_header {
	display:none;
}

section.kcd_curved_header {
	min-height:80vh;
	padding-top:100px;
}

section.kcd_curved_header .wp-block-group__inner-container {
	max-width:1200px;
}

section.kcd_curved_header.inner {
	min-height:50vh;
}

body:not(.page-id-223) .grecaptcha-badge {
	display:none;
}


/* Navigation  */

/* Forms */

.wpcf7-list-item {
	margin-left:0;
}

#kcd_contact input[type="text"], #kcd_contact input[type="tel"], #kcd_contact input[type="email"], #kcd_contact textarea {
	font-size:14px;
	width:100%;
}

/* 404 */


/* Footer */

#footer-widgets {
	background-color:#f1f1f1;
}

#footer-widgets img {
	display:block;
	margin-left:auto;
	margin-right:auto;
}

.kcd_footer_contacts, .kcs_footer_address, .kcd_footer_misc {
	display: inline-block;
    width: auto;
    margin-left: auto;
    margin-right: auto;
    text-align: left;
}

.inside-footer-widgets .textwidget {
	text-align:center;
}

/* General Content */

.kcd_col_align_right {
	text-align:right;
	padding-right:30px;
	border-right:2px solid #e1e1e1;
}

.kcd_inner_group .wp-block-group__inner-container {
	padding:0;
}

.kcd_standout_shadow {
	padding:20px;
	background-color:#a61f1c;
	color:#fff;
	box-shadow:15px 15px 0 #7E6089;
}

.kcd_fw_grid .wp-block-group__inner-container {
	/*max-width:100%;*/
	padding-left:0;
	padding-right:0;
}

.kcd_fw_grid .wp-block-columns {
	box-shadow:5px 5px 3px #999;
}

.kcd_fw_grid .kcd_fw_grid_text {
	padding:40px 40px;
	/*background-image:radial-gradient(#f1f1f1,#f9f9f9);*/
	background-color:#fff;
	display:flex;
	align-items:center;
}

.kcd_fw_grid .kcd_fw_grid_text .wp-block-group__inner-container {
	padding:0;
}

.kcd_minimal_pad .wp-block-columns {
	margin-bottom:0;
}

.kcd_minimal_pad .wp-block-group__inner-container {
	padding-bottom:0;
}

.kcd_fw_grid .wp-block-column:not(:first-child) {
	margin-left:0;
}

.kcd_fw_grid .kcd_fw_grid_image {
	background-size:cover;
	background-position:center;
}

.kcd_fw_grid.planning .kcd_fw_grid_image {
	background-image:url(/wp-content/uploads/2021/06/planning_services_3_768.jpg);
}

.kcd_fw_grid.development .kcd_fw_grid_image {
	background-image:url(/wp-content/uploads/2021/05/development-services_700.jpg);
}

#about_kay_quote {
	display:flex;
	align-items:center;
	font-family: 'Merriweather', serif;
}

.bio_pic {
	flex-basis:25%;
}

.bio_quote {
	flex-basis:75%;
	padding:40px;
}

.bio_name {
	font-family: calibri, arial, sans-serif;
    font-weight: 700;
    font-size: 14px;
}


/* Responsive Desktop - Everything ABOVE 1024 */
@media only screen
	and (min-width: 1024px) {
		
		.site-logo {
			position: absolute;
    		margin-top: 60px;
   			z-index: 9;
		}
		
		.inside-header {
			padding:10px 40px;
		}
		
		.shift_up {
			position:relative;
			margin-top:-120px;
			background-color:#fff;
		}
		
		#about_kay_quote {
			position: relative;
    		margin-left: -120px;
   			background-color: #f1f1f1;
    		padding: 30px;
    		border: 1px solid #e1e1e1;
			margin-bottom:20px;
			box-shadow:5px 5px 3px #ddd;
		}
		
/*		.kcd_fw_grid_text .wp-block-group {
			max-width:500px;
		}
		
		.text_left .kcd_fw_grid_text .wp-block-group {
			float:right;
		}
		*/
}

/* Responsive - small laptop screens */
@media only screen
	and (min-width: 1024px) 
	and (max-width: 1400px) {
		
		section.kcd_curved_header {
			padding-bottom:80px;
		}
		
		.kcd_fw_grid .wp-block-group__inner-container {
			max-width:90%;
		}
}

/* Responsive - Everything BELOW 1024 */
@media only screen
	and (max-width: 1023px) {
		
		.menu-toggle {
			font-size:28px!important;
		}
		
		.kcd_mob_header {
			display:block;
			min-height:40vh;
			margin-top:100px;
		}
		
		.kcd_mob_header + section {
			background-image:none!important;
		}
		
		.kcd_curved_header {
			padding-top:0!important;
		}
		
		.main-navigation .main-nav ul li a {
			font-size:20px;
		}
		
		section.kcd_curved_header {
			min-height:auto;
		}
		
		.kcd_alt_bg_color_mob {
			background-color:#f7f7f7;
		}
		
		.kcd_col_align_right {
    		text-align: left; */
    		padding-right: 0;
	 	   	border-right: none;
		}
		
		.inside-header {
			padding:0 40px;
		}
		
		.site-logo {
			position:absolute;
			top:0;
			left:30px;
			z-index:9;
			margin-top:10px;
		}
		

}

/* Responsive Tablet - Between 768 and 1023 */
@media only screen
	and (min-width: 768px)
	and (max-width: 1023px) {
		
		.gb-container > .gb-inside-container {
			width:80%;
		}
		
		.kcd_fw_grid_section > .gb-inside-container {
			width:100%;
		}
		
		.wp-block-column.kcd_fw_grid_image, .wp-block-column.kcd_fw_grid_text {
			flex-basis:100%!important;
		}
		
		.wp-block-column.kcd_fw_grid_image {
			height:40vh;
		}
		
		.kcd_fw_grid .wp-block-columns {
			box-shadow:none;
		}
		
		.wp-block-columns.kcd_fw_mob {
			flex-wrap:wrap;
		}
		
		.kcd_fw_mob .wp-block-column {
			flex-basis:100%!important;
			margin-left:0;
		}
		
		.kcd_header_banner {
			min-height:45vh;
		}
		
		.kcd_rev_cols_mob .wp-block-column:first-of-type {
			order:2;
		}
		
		.kcd_rev_cols_mob .wp-block-column:nth-of-type(2) {
			order:1;
		}
		
		#about_kay_quote {
			position: relative;
    		margin-left: -50px;
   			background-color: #f1f1f1;
    		padding: 20px;
    		border: 1px solid #e1e1e1;
			margin-bottom:20px;
			box-shadow:5px 5px 3px #ddd;
		}

		
}


/* Responsive Mobile - Everything BELOW 768 */
@media only screen
	and (max-width: 767px) {
		
		.site-header .header-image {
			width:150px;
		}
		
		.kcd_header_banner {
			min-height:40vh;
		}
		
		h1 {
			font-size:1.5em;
		}
		
		h1.bighead {
			font-size:2.5em;
		}
		
		h2.bighead {
			font-size:2em;
		}
		
		.wp-block-columns.kcd_fw_mob {
			flex-wrap:wrap;
		}
		
		.kcd_fw_mob .wp-block-column {
						flex-basis:100%!important;
		}
		
		section.kcd_curved_header .gb-shapes * {
			display:none;
		}
		
		p.has-text-align-center, h1.has-text-align-center {
			text-align:left;
		}
		
		.kcd_fw_grid_image {
			height:40vh;
		}
		
		.kcd_rev_cols_mob .wp-block-column:first-of-type {
			order:2;
		}
		
		.kcd_rev_cols_mob .wp-block-column:nth-of-type(2) {
			order:1;
		}
		
		.kcd_fw_grid .wp-block-columns {
			box-shadow:none;
		}
		
		.site-logo {
			position:absolute;
		}
		
		.mini_menu ul {
			text-align:center;
			margin-left:0;
		}
		
		.mini_menu ul li {
			margin-right:0!important;
		}
		
		#about_kay_quote {
			flex-wrap:wrap;
		}
		
		.bio_pic, .bio_quote {
			flex-basis:100%;
		}
		
		.bio_quote {
			padding:20px;
			background-color:#fff;
			margin-bottom:20px;
			order:2;
		}
		
		form#kcd_contact {
		    margin-top: 30px;
    		padding: 20px;
    		background-color: #fff;
    		border: 1px solid #e1e1e1;
		}
		
		.kcd_contacts {
			margin-top:30px;
		}

}
